opj_jp2_header_handler Struct Reference

`#include <jp2.h>`

## Data Fields

OPJ_UINT32 | id
OPJ_BOOL(* | handler )(opj_jp2_t *jp2, OPJ_BYTE *p_header_data, OPJ_UINT32 p_header_size, opj_event_mgr_t *p_manager)

## Field Documentation

## handler

OPJ_BOOL(* opj_jp2_header_handler::handler) (opj_jp2_t *jp2, OPJ_BYTE *p_header_data, OPJ_UINT32 p_header_size, opj_event_mgr_t *p_manager)

Referenced by opj_jp2_read_header_procedure(), and opj_jp2_read_jp2h().

## id

OPJ_UINT32 opj_jp2_header_handler::id

The documentation for this struct was generated from the following file:

- jp2.h